ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_channel_map_template Struct Reference
Topology Interface

Template type for channel mapping. More...

`#include <topology.h>`

## Data Fields
int | num_channels
struct snd_tplg_channel_elem | channel [SND_TPLG_MAX_CHAN]

## Detailed Description

Template type for channel mapping.

## Field Documentation

## ◆ channel

struct snd_tplg_channel_elem snd_tplg_channel_map_template::channel[SND_TPLG_MAX_CHAN]

mapping

## ◆ num_channels

int snd_tplg_channel_map_template::num_channels

number of channel mappings

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h